Create or get a customer
curl --request POST \
--url https://api.usecerium.com/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalId": "user_8271",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678"
}
'import requests
url = "https://api.usecerium.com/v1/customers"
payload = {
"externalId": "user_8271",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalId: 'user_8271',
name: 'Ada Obi',
email: 'ada@example.com',
phone: '+2348012345678'
})
};
fetch('https://api.usecerium.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecerium.com/v1/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'externalId' => 'user_8271',
'name' => 'Ada Obi',
'email' => 'ada@example.com',
'phone' => '+2348012345678'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.usecerium.com/v1/customers"
payload := strings.NewReader("{\n \"externalId\": \"user_8271\",\n \"name\": \"Ada Obi\",\n \"email\": \"ada@example.com\",\n \"phone\": \"+2348012345678\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.usecerium.com/v1/customers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"externalId\": \"user_8271\",\n \"name\": \"Ada Obi\",\n \"email\": \"ada@example.com\",\n \"phone\": \"+2348012345678\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecerium.com/v1/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"externalId\": \"user_8271\",\n \"name\": \"Ada Obi\",\n \"email\": \"ada@example.com\",\n \"phone\": \"+2348012345678\"\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"status": "success",
"data": {
"id": "prt_8271",
"externalId": "user_8271",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678",
"tags": [
"vip"
],
"attributes": {
"plan": "Business"
},
"createdAt": "2023-11-07T05:31:56Z",
"created": true
}
}{
"message": "Customer created successfully.",
"status": "success",
"data": {
"id": "prt_8271",
"externalId": "user_8271",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678",
"tags": [],
"attributes": {},
"createdAt": "2026-11-20T09:14:03.000Z",
"created": true
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": [
"email must be an email"
]
}{
"statusCode": 401,
"message": "Authentication token is missing."
}{
"statusCode": 403,
"message": "This key cannot do that."
}{
"code": "participant_conflict",
"message": "The externalId and the email belong to different customers."
}{
"message": "<string>",
"code": "<string>",
"statusCode": 123,
"error": "<string>"
}Customers
Create or get a customer
Creates the customer, or returns the one you already sent, unchanged (200).
The same externalId, or the same email, is the same customer.
A request whose externalId and email belong to two different customers is refused (409).
A device sent with it is added; to change details use Update a customer.
Required scope: customers:write.
POST
/
customers
Create or get a customer
curl --request POST \
--url https://api.usecerium.com/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalId": "user_8271",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678"
}
'import requests
url = "https://api.usecerium.com/v1/customers"
payload = {
"externalId": "user_8271",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalId: 'user_8271',
name: 'Ada Obi',
email: 'ada@example.com',
phone: '+2348012345678'
})
};
fetch('https://api.usecerium.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usecerium.com/v1/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'externalId' => 'user_8271',
'name' => 'Ada Obi',
'email' => 'ada@example.com',
'phone' => '+2348012345678'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.usecerium.com/v1/customers"
payload := strings.NewReader("{\n \"externalId\": \"user_8271\",\n \"name\": \"Ada Obi\",\n \"email\": \"ada@example.com\",\n \"phone\": \"+2348012345678\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.usecerium.com/v1/customers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"externalId\": \"user_8271\",\n \"name\": \"Ada Obi\",\n \"email\": \"ada@example.com\",\n \"phone\": \"+2348012345678\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usecerium.com/v1/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"externalId\": \"user_8271\",\n \"name\": \"Ada Obi\",\n \"email\": \"ada@example.com\",\n \"phone\": \"+2348012345678\"\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"status": "success",
"data": {
"id": "prt_8271",
"externalId": "user_8271",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678",
"tags": [
"vip"
],
"attributes": {
"plan": "Business"
},
"createdAt": "2023-11-07T05:31:56Z",
"created": true
}
}{
"message": "Customer created successfully.",
"status": "success",
"data": {
"id": "prt_8271",
"externalId": "user_8271",
"name": "Ada Obi",
"email": "ada@example.com",
"phone": "+2348012345678",
"tags": [],
"attributes": {},
"createdAt": "2026-11-20T09:14:03.000Z",
"created": true
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": [
"email must be an email"
]
}{
"statusCode": 401,
"message": "Authentication token is missing."
}{
"statusCode": 403,
"message": "This key cannot do that."
}{
"code": "participant_conflict",
"message": "The externalId and the email belong to different customers."
}{
"message": "<string>",
"code": "<string>",
"statusCode": 123,
"error": "<string>"
}Authorizations
Body
application/json